﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Woyou.Aidlservice.Jiuiv5;

namespace SDKuDemo.Droid
{
    class WoyouServiceConnection : Java.Lang.Object, IServiceConnection
    {
		MainActivity _activity;

		public WoyouServiceConnection(MainActivity activity)
		{
			_activity = activity;
		}

		public IWoyouService Service
		{
			get; private set;
		}

		public void OnServiceConnected(ComponentName name, IBinder service)
		{
			Service = IWoyouServiceStub.AsInterface(service);
			_activity.Service = (IWoyouService)Service;
			_activity.IsBound = Service != null;

		}

		public void OnServiceDisconnected(ComponentName name)
		{
			_activity.Service = null;
			_activity.IsBound = false;
		}
	}
}